<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>com.sk89q.worldedit Class Hierarchy (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.sk89q.worldedit Class Hierarchy (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/util/yaml/package-tree.html">Prev</a></li>
<li><a href="../../../com/sk89q/worldedit/blocks/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/worldedit/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package com.sk89q.worldedit</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">EditSession</span></a> (implements java.lang.AutoCloseable, com.sk89q.worldedit.extent.<a href="../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>)
<ul>
<li type="circle">com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/TracedEditSession.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">TracedEditSession</span></a></li>
</ul>
</li>
<li type="circle">com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/EditSessionFactory.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">EditSessionFactory</span></a></li>
<li type="circle">com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">LocalConfiguration</span></a></li>
<li type="circle">com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">LocalSession</span></a></li>
<li type="circle">java.lang.Throwable (implements java.io.Serializable)
<ul>
<li type="circle">java.lang.Exception
<ul>
<li type="circle">com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">WorldEditException</span></a>
<ul>
<li type="circle">com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/DisallowedItemException.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">DisallowedItemException</span></a>
<ul>
<li type="circle">com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/InvalidItemException.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">InvalidItemException</span></a></li>
</ul>
</li>
<li type="circle">com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/EmptyClipboardException.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">EmptyClipboardException</span></a></li>
<li type="circle">com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/IncompleteRegionException.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">IncompleteRegionException</span></a></li>
<li type="circle">com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/MaxChangedBlocksException.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">MaxChangedBlocksException</span></a></li>
<li type="circle">com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/MaxRadiusException.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">MaxRadiusException</span></a>
<ul>
<li type="circle">com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/MaxBrushRadiusException.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">MaxBrushRadiusException</span></a></li>
</ul>
</li>
<li type="circle">com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/NotABlockException.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">NotABlockException</span></a></li>
<li type="circle">com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/UnknownDirectionException.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">UnknownDirectionException</span></a></li>
<li type="circle">com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/UnknownItemException.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">UnknownItemException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">WorldEdit</span></a></li>
</ul>
</li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<ul>
<li type="circle">com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/EditSession.Stage.html" title="enum in com.sk89q.worldedit"><span class="typeNameLink">EditSession.Stage</span></a></li>
<li type="circle">com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/EditSession.ReorderMode.html" title="enum in com.sk89q.worldedit"><span class="typeNameLink">EditSession.ReorderMode</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/util/yaml/package-tree.html">Prev</a></li>
<li><a href="../../../com/sk89q/worldedit/blocks/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/worldedit/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
